%define upstream_name    Perl-Tidy
%define upstream_version 20250214

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Parses and beautifies perl source
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Perl/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

Obsoletes:  perltidy < 20201001.0.0-3
Provides:   perltidy = %{version}-%{release}

%description
This module makes the functionality of the perltidy utility available to
perl scripts. Any or all of the input parameters may be omitted, in which
case the @ARGV array will be used to provide input parameters as described
in the perltidy(1) man page.

For example, the perltidy script is basically just this:

    use Perl::Tidy;
    Perl::Tidy::perltidy();

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
make test

%install
%make_install

%files
%doc COPYING META.json META.yml MYMETA.yml examples
%{_bindir}/perltidy
%{_mandir}/man1/perltidy.*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Feb 17 2025 tv <tv> 20250214.0.0-1.mga10
+ Revision: 2149189
- update to 20250214

* Sat Feb 01 2025 daviddavid <daviddavid> 20250105.0.0-2.mga10
+ Revision: 2144047
- obsoletes duplicate perltidy pkg

* Fri Jan 24 2025 tv <tv> 20250105.0.0-1.mga10
+ Revision: 2141608
- update to 20250105

* Sat Sep 07 2024 tv <tv> 20240903.0.0-1.mga10
+ Revision: 2093524
- update to 20240903

* Wed May 22 2024 tv <tv> 20240511.0.0-1.mga10
+ Revision: 2065988
- update to 20240511

* Wed Feb 07 2024 tv <tv> 20240202.0.0-1.mga10
+ Revision: 2038340
- update to 20240202

* Wed Sep 13 2023 tv <tv> 20230912.0.0-1.mga10
+ Revision: 1986408
- update to 20230912

* Sun Sep 10 2023 tv <tv> 20230909.0.0-1.mga10
+ Revision: 1985733
- update to 20230909

* Wed Aug 30 2023 tv <tv> 20230701.0.0-1.mga10
+ Revision: 1981926
- update to 20230701

* Fri Apr 21 2023 kekepower <kekepower> 20230309.0.0-1.mga9
+ Revision: 1953774
- Update to version 20230309

* Sun Nov 13 2022 tv <tv> 20221112.0.0-1.mga9
+ Revision: 1906649
- update to 20221112

* Tue Jun 14 2022 tv <tv> 20220613.0.0-1.mga9
+ Revision: 1864403
- update to 20220613

* Mon Mar 21 2022 umeabot <umeabot> 20220217.0.0-2.mga9
+ Revision: 1816175
- Mageia 9 Mass Rebuild

* Wed Feb 16 2022 tv <tv> 20220217.0.0-1.mga9
+ Revision: 1777633
- update to 20220217

* Tue Nov 02 2021 tv <tv> 20211029.0.0-1.mga9
+ Revision: 1753683
- update to 20211029

* Tue Jul 20 2021 tv <tv> 20210717.0.0-1.mga9
+ Revision: 1737115
- update to 20210717

* Tue Jun 29 2021 tv <tv> 20210625.0.0-1.mga9
+ Revision: 1734238
- update to 20210625

* Sun Apr 04 2021 tv <tv> 20210402.0.0-1.mga9
+ Revision: 1713154
- update to 20210402

* Thu Feb 25 2021 tv <tv> 20210111.0.0-1.mga9
+ Revision: 1691480
- update to 20210111

* Mon Dec 07 2020 tv <tv> 20201207.0.0-1.mga8
+ Revision: 1654085
- update to 20201207

* Thu Dec 03 2020 tv <tv> 20201202.0.0-1.mga8
+ Revision: 1652072
- update to 20201202

* Tue Sep 29 2020 tv <tv> 20201001.0.0-1.mga8
+ Revision: 1631044
- update to 20201001

* Tue Sep 08 2020 tv <tv> 20200907.0.0-1.mga8
+ Revision: 1623606
- update to 20200907

* Mon Aug 24 2020 tv <tv> 20200822.0.0-1.mga8
+ Revision: 1618315
- update to 20200822

* Sun Jun 21 2020 shlomif <shlomif> 20200619.0.0-1.mga8
+ Revision: 1598240
- update to 20200619

* Wed Feb 19 2020 umeabot <umeabot> 20200110.0.0-2.mga8
+ Revision: 1543015
- Mageia 8 Mass Rebuild

* Fri Jan 10 2020 tv <tv> 20200110.0.0-1.mga8
+ Revision: 1477467
- update to 20200110

* Thu Dec 05 2019 tv <tv> 20191203.0.0-1.mga8
+ Revision: 1464514
- update to 20191203

* Tue Sep 17 2019 tv <tv> 20190915.0.0-1.mga8
+ Revision: 1443061
- update to 20190915

* Sun Jun 30 2019 tv <tv> 20190601.0.0-1.mga8
+ Revision: 1416436
- update to 20190601

* Tue Nov 20 2018 tv <tv> 20181120.0.0-1.mga7
+ Revision: 1332420
- update to 20181120

* Sun Nov 18 2018 tv <tv> 20181117.0.0-1.mga7
+ Revision: 1330626
- update to 20181117

* Thu Sep 20 2018 umeabot <umeabot> 20180220.0.0-2.mga7
+ Revision: 1285716
- Mageia 7 Mass Rebuild

* Fri Mar 16 2018 kekepower <kekepower> 20180220.0.0-1.mga7
+ Revision: 1209938
- imported package perl-Perl-Tidy

